Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface AMXMBeanLogging

All Known Subinterfaces:
  AccessLogConfig, AdminObjectResourceConfig, AdminServiceConfig, AllDottedNames, AMX, AMXConfig, AMXCounterMonitor, AMXGaugeMonitor, AMXJMXMonitor, AMXStringMonitor, AppClientModule, AppClientModuleConfig, ApplicationMonitor, AuditModuleConfig, AuthRealmConfig, AvailabilityServiceConfig, BeanCacheMonitor, BeanMethodMonitor, BeanMonitor, BeanPoolMonitor, BulkAccess, ClusterConfig, ClusteredServerConfig, ConfigConfig, ConfigDottedNames, ConfigElement, ConnectionManagerMonitor, ConnectionPoolConfig, ConnectionQueueMonitor, ConnectorConnectionPoolConfig, ConnectorConnectionPoolMonitor, ConnectorModuleConfig, ConnectorResourceConfig, ConnectorServiceConfig, Container, CustomResourceConfig, DASConfig, DeployedItemRefConfig, DeploymentMgr, DNSMonitor, DomainConfig, DomainRoot, DottedNames, EJB, EJBContainerAvailabilityConfig, EJBContainerConfig, EJBModule, EJBModuleConfig, EJBModuleMonitor, EJBTimerServiceConfig, EntityBean, EntityBeanMonitor, FileCacheMonitor, HealthCheckerConfig, HTTPAccessLogConfig, HTTPFileCacheConfig, HTTPListenerConfig, HTTPListenerMonitor, HTTPProtocolConfig, HTTPServiceConfig, HTTPServiceMonitor, HTTPServiceVirtualServerMonitor, IIOPListenerConfig, IIOPServiceConfig, J2EEApplication, J2EEApplicationConfig, J2EECluster, J2EEDeployedObject, J2EEDomain, J2EELogicalServer, J2EEManagedObject, J2EEModule, J2EEResource, J2EEServer, JACCProviderConfig, JavaConfig, JavaMailResource, JCAConnectionFactory, JCAManagedConnectionFactory, JCAResource, JDBCConnectionPoolConfig, JDBCConnectionPoolMonitor, JDBCDataSource, JDBCDriver, JDBCResource, JDBCResourceConfig, JMSHostConfig, JMSResource, JMSResourceConfig, JMSServiceConfig, JMXConnectorConfig, JMXMonitorMgr, JNDIResource, JNDIResourceConfig, JTAResource, JVM, JVMMonitor, KeepAliveConfig, KeepAliveMonitor, LBClusterRefConfig, LBConfig, LifecycleModuleConfig, LogServiceConfig, MailResourceConfig, ManagerPropertiesConfig, MDBContainerConfig, MessageDrivenBean, MessageDrivenBeanMonitor, MessageSecurityConfig, ModuleConfig, ModuleLogLevelsConfig, ModuleMonitoringLevelsConfig, Monitoring, MonitoringDottedNames, MonitoringRoot, MonitoringServiceConfig, MonitoringStats, NamedConfigElement, NativeWebCoreThreadPoolMonitor, NativeWebCoreVirtualServerRequestMonitor, NodeAgentConfig, NotificationService, NotificationServiceMgr, ORBConfig, PersistenceManagerFactoryResourceConfig, ProfilerConfig, ProviderConfig, QueryMgr, QuorumServiceConfig, RARModuleConfig, RefConfig, RequestPolicyConfig, RequestProcessingConfig, ResourceAdapter, ResourceAdapterConfig, ResourceAdapterModule, ResourceConfig, ResourceRefConfig, ResponsePolicyConfig, RMIIIOPResource, Sample, SecurityServiceConfig, ServerConfig, ServerRefConfig, ServerRootMonitor, Servlet, ServletMonitor, SessionBean, SessionConfig, SessionManagerConfig, SessionPropertiesConfig, SSLConfig, SSLConfigContainer, StandaloneServerConfig, StatefulSessionBean, StatefulSessionBeanMonitor, StatelessSessionBean, StatelessSessionBeanMonitor, StorePropertiesConfig, SystemInfo, SystemPropertiesConfig, ThreadPoolConfig, ThreadPoolMonitor, TransactionServiceConfig, TransactionServiceMonitor, UploadDownloadMgr, URLResource, VirtualServerConfig, WebContainerAvailabilityConfig, WebContainerConfig, WebModule, WebModuleConfig, WebModuleVirtualServerMonitor

public interface AMXMBeanLogging

Interface that all AMX MBeans implement for logging.

Field Summary
`static java.lang.String` | `LOG_RECORD_KEY` Key for getting the LogRecord within a Notification of type LOG_RECORD_NOTIFICATION_TYPE.
`static java.lang.String` | `LOG_RECORD_NOTIFICATION_TYPE` The type of Notification emitted for a LogRecord A Notification of this type, contains a Map in its userData field keyed by LOG_RECORD_KEY.

Method Summary
`boolean` | `getMBeanEmitLogNotifications()`
`java.lang.String` | `getMBeanLoggerName()`
`java.util.logging.Level` | `getMBeanLogLevel()` Get the log level.
`void` | `setMBeanEmitLogNotifications(boolean emit)` Controls whether log messages are emitted as Notifications (in addition to the normal logging process).
`void` | `setMBeanLogLevel(java.util.logging.Level level)` The java.util.logging form.

Field Detail

### LOG_RECORD_NOTIFICATION_TYPE

    public static final java.lang.String LOG_RECORD_NOTIFICATION_TYPE

  The type of Notification emitted for a LogRecord A Notification of this type, contains a Map in its userData field keyed by LOG_RECORD_KEY.

  See Also:
    Constant Field Values

### LOG_RECORD_KEY

    public static final java.lang.String LOG_RECORD_KEY

  Key for getting the LogRecord within a Notification of type LOG_RECORD_NOTIFICATION_TYPE.

  See Also:
    Constant Field Values

Method Detail

### getMBeanLogLevel

    public java.util.logging.Level getMBeanLogLevel()

  Get the log level. If the String form is desired, use Level.toString().

  Returns:
    log level

### setMBeanLogLevel

    public void setMBeanLogLevel(java.util.logging.Level level)

  The java.util.logging form.

### getMBeanLoggerName

    public java.lang.String getMBeanLoggerName()

### getMBeanEmitLogNotifications

    public boolean getMBeanEmitLogNotifications()

  Returns:
    true if log messages are emitted as Notifications

### setMBeanEmitLogNotifications

    public void setMBeanEmitLogNotifications(boolean emit)

  Controls whether log messages are emitted as Notifications (in addition to the normal logging process).

  Parameters:
    `emit` - if true, future log message are emitted as Notifications

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.